# Download job transcript

Downloads a transcript for a registered job as JSON, CSV, TSV, or plain text.

URL: /reference/job-outputs/downloadJobTranscript

## GET /v2/jobs/{job_id}/outputs/transcript

```json
{
  "openapi": "3.2.0",
  "info": {
    "title": "Download job transcript",
    "description": "Lingopal v2 public API for text translation, storage uploads, registered jobs, job workflows, and job outputs.",
    "version": "v2"
  },
  "servers": [
    {
      "url": "https://vod-api.lingopal-dev.com"
    }
  ],
  "security": [
    {
      "APIKeyHeader": []
    }
  ],
  "paths": {
    "/v2/jobs/{job_id}/outputs/transcript": {
      "get": {
        "tags": [
          "Job Outputs"
        ],
        "summary": "Download job transcript",
        "description": "Downloads a transcript for a registered job as JSON, CSV, TSV, or plain text.",
        "operationId": "downloadJobTranscript",
        "security": [
          {
            "APIKeyHeader": []
          }
        ],
        "parameters": [
          {
            "name": "job_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "description": "Reusable registered job ID returned by `/v2/jobs/register` or `/v2/jobs/upload-and-register`.",
              "examples": [
                "job_123"
              ],
              "title": "Job Id"
            },
            "description": "Reusable registered job ID returned by `/v2/jobs/register` or `/v2/jobs/upload-and-register`."
          },
          {
            "name": "locale",
            "in": "query",
            "required": false,
            "schema": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ],
              "default": "source",
              "title": "Locale"
            }
          },
          {
            "name": "layout",
            "in": "query",
            "required": false,
            "schema": {
              "enum": [
                "compact",
                "detailed"
              ],
              "type": "string",
              "default": "compact",
              "title": "Layout"
            }
          },
          {
            "name": "file_format",
            "in": "query",
            "required": false,
            "schema": {
              "enum": [
                "json",
                "csv",
                "tsv",
                "txt"
              ],
              "type": "string",
              "default": "txt",
              "title": "File Format"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Transcript file content or JSON transcript payload.",
            "content": {
              "application/json": {
                "schema": {},
                "example": {
                  "job_id": "job_123",
                  "locale": "es",
                  "layout": "detailed",
                  "columns": [
                    "speaker_id",
                    "start_time",
                    "end_time",
                    "text"
                  ],
                  "line_count": 1,
                  "segments": [
                    {
                      "speaker_id": "speaker_1",
                      "start_time": "0.00",
                      "end_time": "2.40",
                      "text": "Bienvenido a Lingopal."
                    }
                  ]
                }
              },
              "text/plain": {
                "example": "[0.00 -> 2.40] : Bienvenido a Lingopal."
              },
              "text/csv": {
                "example": "speaker_id,start_time,end_time,text\nspeaker_1,0.00,2.40,Bienvenido a Lingopal."
              },
              "text/tab-separated-values": {
                "example": "speaker_id\tstart_time\tend_time\ttext\nspeaker_1\t0.00\t2.40\tBienvenido a Lingopal."
              }
            }
          },
          "404": {
            "description": "The requested resource was not found.",
            "content": {
              "application/json": {
                "example": {
                  "detail": "Transcript Not Found"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    }
  },
  "tags": [
    {
      "name": "Job Outputs",
      "description": "Download transcripts, subtitles, and exported job outputs."
    }
  ],
  "components": {
    "schemas": {
      "HTTPValidationError": {
        "properties": {
          "detail": {
            "items": {
              "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
          }
        },
        "type": "object",
        "title": "HTTPValidationError"
      },
      "ValidationError": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          },
          "input": {
            "title": "Input"
          },
          "ctx": {
            "type": "object",
            "title": "Context"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      }
    },
    "securitySchemes": {
      "APIKeyHeader": {
        "in": "header",
        "name": "X-API-Key",
        "type": "apiKey"
      }
    }
  }
}
```
